%global _empty_manifest_terminate_build 0
Name:		python-cairocffi
Version:	1.6.0
Release:	1
Summary:	cffi-based cairo bindings for Python
License:	BSD-3-Clause
URL:		https://pypi.python.org/pypi/cairocffi/
Source0:	https://files.pythonhosted.org/packages/02/8d/75ebb7a2f6a835e2bc125ce4c667dccc8e40b92507923dfaf8f079c892a5/cairocffi-1.6.0.tar.gz	
BuildArch:	noarch

%global _description\
cairocffi is a CFFI-based drop-in replacement for Pycairo, a set of\
Python bindings and object-oriented API for cairo.  Cairo is a 2D\
vector graphics library with support for multiple backends including\
image buffers, PNG, PostScript, PDF, and SVG file output.

%description %_description

%package -n python3-cairocffi
Summary:	cffi-based cairo bindings for Python
Provides:	python-cairocffi = %{version}-%{release}
Provides:       python%{python3_pkgversion}dist(cairocffi[xcb]) = %{version}
Provides:       python%{python3_version}dist(cairocffi[xcb]) = %{version}
%{?python_provide:%python_provide python3-cairocffi}
Requires:       python3-cffi
Requires:       cairo
# required by cairocffi.pixbuf
Requires:       python3-xcffib >= 0.3.2
BuildRequires:	python3-devel
BuildRequires:	python3-cffi 
BuildRequires:	python3-pytest
BuildRequires:	python3-pytest-cov
BuildRequires:	python3-pytest-runner
BuildRequires:	python3-xcffib 
BuildRequires:	cairo-devel
BuildRequires:	python3-numpy
BuildRequires:	gdk-pixbuf2
BuildRequires:	gdk-pixbuf2-modules
BuildRequires:	xorg-x11-server-Xvfb
BuildRequires:  python3-pip
BuildRequires:  python3-wheel
BuildRequires:  python3-flit
%description -n python3-cairocffi


%package help
Summary:	Development documents and examples for cairocffi
Provides:	python3-cairocffi-doc
%description help


%prep
%autosetup -n cairocffi-%{version}

%build
%pyproject_build

%install
%pyproject_install cairocffi==%{version}
install -d -m755 %{buildroot}/%{_pkgdocdir}
if [ -d doc ]; then cp -arf doc %{buildroot}/%{_pkgdocdir}; fi
if [ -d docs ]; then cp -arf docs %{buildroot}/%{_pkgdocdir}; fi
if [ -d example ]; then cp -arf example %{buildroot}/%{_pkgdocdir}; fi
if [ -d examples ]; then cp -arf examples %{buildroot}/%{_pkgdocdir}; fi
if [ -f README.rst ]; then cp -af README.rst %{buildroot}/%{_pkgdocdir}; fi
if [ -f README.md ]; then cp -af README.md %{buildroot}/%{_pkgdocdir}; fi
if [ -f README.txt ]; then cp -af README.txt %{buildroot}/%{_pkgdocdir}; fi

%files -n python3-cairocffi 
%{python3_sitelib}/*

%files help 
%{_docdir}/*

%changelog
* Mon Jul 03 2023 ZixuanChen <chenzixuan@kylinos.cn> - 1.6.0-1
- Update package to version 1.6.0

* Sun Apr 23 2023 Ge Wang <wang__ge@126.com> - 1.5.1-1
- Update package to version 1.5.1

* Wed Apr 12 2023 wubijie <wubijie@kylinos.cn> - 1.5.0-1
- Update package to version 1.5.0

* Tue Nov 8 2022 hkgy <kaguyahatu@outlook.com> - 1.4.0-1
- Upgrade to v1.4.0

* Thu Jun 23 2022 houyingchao <houyingchao@h-partners.com> - 1.3.0-1
- Upgrade to version 1.3.0

* Wed May 11 2022 yangping <yangping69@h-partners> - 1.2.0-2
- License compliance rectification

* Fri Feb 19 2021 Ge Wang<wangge20@huawei.com> - 1.2.0-1
- Init package
